Bug 918693 - [RFE] logconv.pl - track bind info
Summary: [RFE] logconv.pl - track bind info
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Sankar Ramalingam
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-06 18:13 UTC by Nathan Kinder
Modified: 2014-06-18 02:56 UTC (History)
3 users (show)

Fixed In Version: 389-ds-base-1.3.1.2-1.el7
Doc Type: Enhancement
Doc Text:
Cause: The lack of a report to look at BIND operations in access logs. Consequence: Unable to easily see what certain authenticated users were doing. Change: Created a new/separate report for just reporting on BINDs Result: logconv.pl can now generate reports for BIND operations.
Clone Of:
Environment:
Last Closed: 2014-06-13 09:55:20 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Nathan Kinder 2013-03-06 18:13:49 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/356

A request has been made to find all the IP addresses that issue anonymous binds, but the feature should be able to track other bind DN's as well.

Track:

IP
Bind method
result codes
...
...

Comment 1 Rich Megginson 2013-10-01 23:25:29 UTC
moving all ON_QA bugs to MODIFIED in order to add them to the errata (can't add bugs in the ON_QA state to an errata).  When the errata is created, the bugs should be automatically moved back to ON_QA.

Comment 3 Sankar Ramalingam 2014-01-30 10:09:05 UTC
Track bind info feature is implemented in the newer versions of logconv.pl scripts. Test cases automated in logfile/logconv.sh test suite.

Test cases - logconv09 and logconv10.

Comment 4 Ludek Smid 2014-06-13 09:55:20 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.